In the payment webhook notification payload, you now receive descriptive status and type names instead of a numeric code. The payment status, funding account type, and disbursement type values have been updated.
We have introduced a set of document and attachment API endpoints. You can now upload documents for bills with the v3 API. In addition, you can upload supporting attachments for vendors, customers, and invoices.
The BILL partner API endpoints require sessionId as a header value that is generated with API partner login (POST /v3/partner/login). We learned that API login as user (POST /v3/partner/login-as-user) endpoint is the only BILL partner endpoint where sessionId is required as a body parameter.
For consistency across the BILL partner API endpoints, we now require sessionId as a header value for the API login as user endpoint. See API login as user in the API reference for more information.
As a BILL partner, you can now set a user role when you create a user (POST /v3/partner/users) or update a user (PATCH /v3/partner/users/\{userId}).
You can set roleId as the BILL-generated ID of the user role you want to assign. You can get the list of available user roles with GET /v3/partner/roles. If you do not set roleId in your POST /v3/partner/users request, the default ADMINISTRATOR user role is assigned to the created user.
As a BILL partner, you can now get partner name information when you create an organization with POST /v3/partner/organizations. In the API response, partnerName is now available for providing information about the partner name.
Note: This field is available only when select BILL partners create an organization. Partner name is part of the information that BILL uses to identify partners.
When you create a bank account (POST /v3/funding-accounts/banks) in the production environment, you must complete bank account verification (POST /v3/funding-accounts/banks/{bankAccountId}/verify) before the account can be used for other BILL operations.
In the sandbox environment, you can now set depositAmount as 0.50 to complete bank account verification.
We have improved navigation between the Guides and API Reference sections. When you are reviewing the API Reference documentation for an endpoint, you now find links to the relevant Guides sections for more information, sample requests, and responses.
We have updated the webhooks events catalog to include event types for bank accounts and BILL risk verification. You can now set up subscriptions to receive notifications for these new events.
When you create a new webhook subscription with POST /v3/subscriptions, you now get a one-time securityKey as one of the generated values in the response. All event notifications sent to your notificationUrl are signed with the security key using the HMAC-SHA256 algorithm. The key is sent as the x-bill-sha-signature header value in the notification.
You can use the security key to verify all notifications sent to you. It is good practice to keep the security key for your subscription updated in a timely manner. Use POST /v3/subscriptions/{subscriptionId}/security_key to generate a new security key based on your desired frequency.